#INCLUDE [../Include/EditPrms.h]
*
*-- Check VFP-version (this sample for VFP 9.0 [or later] only)
IF VERSION(5) < 900
	=MESSAGEBOX(ERR_VERSION_LOC, 16, _SCREEN.Caption) 
	RETURN .F.
ENDIF
*
*-- Get current directory
LOCAL lcCurPath as String 
lcCurPath = Sys(16) 
IF EMPTY(lcCurPath) 
	lcCurPath = LOWER(FULLPATH(CURDIR())) 
ELSE 
	LOCAL lnLBS as Integer 
	lnLBS = RATC('\', lcCurPath, IIF(JUSTEXT(lcCurPath) = "EXE", 1, 2)) 
	IF lnLBS > 0 
		lcCurPath = LOWER(LEFTC(lcCurPath, lnLBS)) 
	ENDIF 
ENDIF 
*
*-- Check current directory
IF !DIRECTORY(lcCurPath) 
	=MESSAGEBOX(ERR_DIRNOTFOUND_LOC + lcCurPath ; 
		,16, _SCREEN.Caption) 
	RETURN .F. 
ENDIF
IF TYPE('goFrm') = 'O' AND !ISNULL(goFrm)
	goFrm.Show()
	RETURN .F.
ENDIF
LOCAL lcOldPath as String
lcOldPath = LOWER(FULLPATH(CURDIR())) 
SET DEFAULT TO (lcCurPath)
*
*-- File app classlibrary
LOCAL lcFileLib as String
IF !FILE(C_FILE_LIB)
	lcFileLib = ADDBS(lcCurPath + C_PATH_LIB)+ C_FILE_LIB
ELSE
	lcFileLib = C_FILE_LIB
ENDIF
*
*-- File utility classlib
LOCAL lcFileVcxTypeLib as String
IF !FILE(C_UTIL_LIB)
	lcFileVcxTypeLib = HOME() + "Ffc/" + C_UTIL_LIB	
ELSE
	lcFileVcxTypeLib = C_UTIL_LIB	
ENDIF
*
*-- Set app classlib
IF !(UPPER(JUSTSTEM(lcFileLib)) $ SET("Classlib"))
	SET CLASSLIB TO (lcFileLib) ADDITIVE
	IF !(UPPER(JUSTSTEM(lcFileLib)) $ SET("Classlib"))
		SET DEFAULT TO (lcOldPath)
		RETURN .F.
	ENDIF
ENDIF
*
*-- Set utility classlib
IF !(UPPER(JUSTSTEM(lcFileVcxTypeLib)) $ SET("Classlib"))
	SET CLASSLIB TO (lcFileVcxTypeLib) ADDITIVE
	IF !(UPPER(JUSTSTEM(lcFileVcxTypeLib)) $ SET("Classlib"))
		SET CLASSLIB TO
		SET DEFAULT TO (lcOldPath)
		RETURN .F.
	ENDIF
ENDIF
*
*-- Create form object	
PUBLIC goFrm As Form
goFrm = NEWOBJECT(C_CLS_FRM,  lcFileLib)
IF VARTYPE(goFrm) # 'O'
	RELEASE goFrm
	=MESSAGEBOX(ERR_CREATEOBJE_LOC + C_CLS_FRM ; 
		,16, _SCREEN.Caption) 
	SET CLASSLIB TO
	SET DEFAULT TO (lcOldPath)
	RETURN .F.
ENDIF
*
*-- Show form object 
goFrm.Show()
IF VERSION(2) = 0
	READ EVENTS
	SET CLASSLIB TO
ENDIF